Run of fresh-releases for rapid-photo-downloader

Try this locally (using silver-platter):

debian-svp new-upstream rapid-photo-downloader 
1
2
3
4
5
6
7
8
9
10
11
12
13
14
15
16
17
18
19
20
21
22
23
24
25
26
27
28
29
30
31
32
33
34
35
36
37
38
39
40
41
42
43
44
45
46
47
48
49
50
51
52
53
54
55
56
57
58
59
60
61
62
63
64
65
66
67
68
69
70
71
72
73
74
75
76
77
78
79
80
81
82
83
84
85
86
87
88
89
90
91
92
93
94
95
96
97
98
99
100
101
102
103
104
105
106
107
108
109
110
111
112
113
114
115
116
117
118
119
Opening branch at https://salsa.debian.org/debian/rapid-photo-downloader.git
Cached branch URL file:/home/janitor/debian-janitor/vcs/git/rapid-photo-downloader,branch=master missing: Branch does not exist: Not a branch: "/home/janitor/debian-janitor/vcs/git/rapid-photo-downloader/".
Total 3124 (delta 2311), reused 2893 (delta 2091), pack-reused 0
otal 20 (delta 4), reused 19 (delta 3), pack-reused 0
Total 0 (delta 0), reused 0 (delta 0), pack-reused 0
Using upstream branch https://code.launchpad.net/rapid (guessed)
Using version string 0.9.24.
No upstream upstream-revision format specified, trying tag:0.9.24
No upstream upstream-revision format specified, trying tag:rapid-photo-downloader-0.9.24
No upstream upstream-revision format specified, trying tag:v0.9.24
No upstream upstream-revision format specified, trying tag:v.0.9.24
Upstream version 0.9.24 is not in upstream branch BzrBranch7(http://bazaar.launchpad.net/~dlynch3/rapid/zeromq_pyqt/). Not merging from upstream branch. 
Using uscan to look for the upstream tarball.
gpgv: Signature made Sun 03 May 2020 17:31:52 UTC
gpgv:                using RSA key E26048A9F4A803B91CB1BD648005B1F36970BE28
gpgv: Good signature from "Damon Lynch <damonlynch@gmail.com>"
gpgv:                 aka "Damon Lynch <damonlynch@yahoo.com>"
gpgv:                 aka "Damon Lynch <damon@asianreflection.com>"
gpgv:                 aka "[invalid image]"
Elapsed time: 0:02:52.393698
Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/git/branch.py", line 1451, in fetch
    revidmap = self.interrepo.fetch_objects(ret, lossy=lossy, limit=limit)
  File "/home/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 294, in fetch_objects
    raise NoPushSupport(self.source, self.target, self.mapping,
breezy.git.errors.NoPushSupport: Push is not yet supported from CHKInventoryRepository('http://bazaar.launchpad.net/~dlynch3/rapid/zeromq_pyqt/.bzr/repository/', fallback_repositories=[CHKInventoryRepository('http://bazaar.launchpad.net/%2Bbranch-id/5111/.bzr/repository/')]) to LocalGitRepository('file:///home/janitor/tmp/tmpgo4kv_aq/tmpypvu_v4f/upstream/') using <breezy.git.mapping.BzrGitMappingv1 object at 0x7f580ed69220> for b'damonlynch@gmail.com-20200522162207-hfjuwz45tn9qw207'. Try dpush instead.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/.config/breezy/plugins/debian/import_dsc.py", line 844, in import_upstream
    self.pristine_upstream_branch.fetch(
  File "/home/janitor/debian-janitor/breezy/breezy/branch.py", line 683, in fetch
    return InterBranch.get(from_branch, self).fetch(
  File "/home/janitor/debian-janitor/breezy/breezy/git/branch.py", line 1453, in fetch
    raise errors.NoRoundtrippingSupport(self.source, self.target)
breezy.errors.NoRoundtrippingSupport: Roundtripping is not supported between BzrBranch7(http://bazaar.launchpad.net/~dlynch3/rapid/zeromq_pyqt/) and <LocalGitBranch('file:///home/janitor/tmp/tmpgo4kv_aq/tmpypvu_v4f/upstream/', 'master')>.

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/groupcompress.py", line 1463, in _get_blocks
    yield read_memo, cached[read_memo]
KeyError: (<breezy.bzr.btree_index.BTreeGraphIndex object at 0x7f5804c4df40>, 12455190, 2645293)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/usr/lib/python3.8/runpy.py", line 194, in _run_module_as_main
    return _run_code(code, main_globals, None,
  File "/usr/lib/python3.8/runpy.py", line 87, in _run_code
    exec(code, run_globals)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 1084, in <module>
    sys.exit(main())
  File "/home/janitor/debian-janitor/janitor/worker.py", line 1039, in main
    with process_package(
  File "/usr/lib/python3.8/contextlib.py", line 113, in __enter__
    return next(self.gen)
  File "/home/janitor/debian-janitor/janitor/worker.py", line 894, in process_package
    subworker_result = subworker.make_changes(
  File "/home/janitor/debian-janitor/janitor/worker.py", line 468, in make_changes
    result = merge_upstream(
  File "/home/janitor/debian-janitor/silver-platter/silver_platter/debian/upstream.py", line 452, in merge_upstream
    conflicts = do_merge(
  File "/home/janitor/.config/breezy/plugins/debian/merge_upstream.py", line 154, in do_merge
    return db.merge_upstream(
  File "/home/janitor/.config/breezy/plugins/debian/import_dsc.py", line 1386, in merge_upstream
    imported_revids = self.import_upstream(
  File "/home/janitor/.config/breezy/plugins/debian/import_dsc.py", line 847, in import_upstream
    fetch_result = self.pristine_upstream_branch.fetch(
  File "/home/janitor/debian-janitor/breezy/breezy/branch.py", line 683, in fetch
    return InterBranch.get(from_branch, self).fetch(
  File "/home/janitor/debian-janitor/breezy/breezy/git/branch.py", line 1451, in fetch
    revidmap = self.interrepo.fetch_objects(ret, lossy=lossy, limit=limit)
  File "/home/janitor/debian-janitor/breezy/breezy/git/interrepo.py", line 302, in fetch_objects
    for (old_revid, git_sha) in object_generator.import_revisions(
  File "/home/janitor/debian-janitor/breezy/breezy/git/push.py", line 69, in import_revisions
    git_commit = self.import_revision(revid, lossy)
  File "/home/janitor/debian-janitor/breezy/breezy/git/push.py", line 81, in import_revision
    for path, obj in self._object_store._revision_to_objects(
  File "/home/janitor/debian-janitor/breezy/breezy/git/object_store.py", line 507, in _revision_to_objects
    for path, obj, bzr_key_data in _tree_to_objects(
  File "/home/janitor/debian-janitor/breezy/breezy/git/object_store.py", line 308, in _tree_to_objects
    for (path, file_id), chunks in tree.iter_files_bytes(
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/inventorytree.py", line 927, in iter_files_bytes
    for result in self._repository.iter_files_bytes(repo_desired_files):
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/vf_repository.py", line 1272, in iter_files_bytes
    for record in self.texts.get_record_stream(text_keys, 'unordered', True):
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/groupcompress.py", line 1509, in get_record_stream
    for content_factory in self._get_remaining_record_stream(keys,
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/groupcompress.py", line 1663, in _get_remaining_record_stream
    for factory in batcher.yield_factories():
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/groupcompress.py", line 1209, in yield_factories
    block_read_memo, block = next(blocks)
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/groupcompress.py", line 1466, in _get_blocks
    zdata = next(raw_records)
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/pack_repo.py", line 2051, in get_raw_records
    for names, read_func in reader.iter_records():
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/pack.py", line 278, in iter_records
    self._read_format()
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/pack.py", line 322, in _read_format
    format = self._read_line()
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/pack.py", line 246, in _read_line
    line = self._source.readline()
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/pack.py", line 209, in readline
    self._next()
  File "/home/janitor/debian-janitor/breezy/breezy/bzr/pack.py", line 194, in _next
    offset, data = next(self.readv_result)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/__init__.py", line 2097, in _readv
    for cur_coal, rfile in self._coalesce_readv(relpath, coalesced):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/__init__.py", line 2195, in _coalesce_readv
    for c, rfile in get_and_yield(relpath, ranges):
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/__init__.py", line 2158, in get_and_yield
    code, rfile = self._get(relpath, coalesced)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/__init__.py", line 1968, in _get
    response = self.request('GET', abspath, headers=headers)
  File "/home/janitor/debian-janitor/breezy/breezy/transport/http/__init__.py", line 1864, in request
    raise errors.RedirectRequested(request.get_full_url(),
breezy.errors.RedirectRequested: http://bazaar.launchpad.net/~dlynch3/rapid/zeromq_pyqt/.bzr/repository/packs/6263e4dab124f462d8b04bd6a95bb17c.pack is redirected to https://launchpad.net

Full worker log